Subject: Re: bug#56682: locked narrowing

From: Gregory Heytings <[email-masked]>
Date: Thu, 01 Dec 2022 23:11:09 +0000

>> I give up.  I will probably try to find time to code this myself, since 
>> you don't even want to try.
>
> Of course I'm willing to try.  But I already tried, I already explored 
> the possibility you now consider, and concluded that it was not possible 
> to do that.  I'm just trying to explain why and how I reached that 
> conclusion. If you have other ideas, I'm all ears.
>

What we could perhaps do is to use something like

CHARS_MODIFF - UNCHANGED_MODIFIED > 8 + log10 (buffer-size) / 2

That would mean that the detection loop is triggered less for larger 
buffers than for smaller ones, or IOW that bigger changes are needed to 
trigger the loop in larger buffers.  It's a bit unsafe, but probably safe 
enough in practice.

Would that fit the bill?